## emdebian-crush 2.2.5.1

=== Makefile ===

all:
	po4a-build
	find doc/pdebuild-cross -name 'emvendor.1*' -delete
	find doc/emdebian-crush -name xapt.1 -delete
	find doc/emdebian-crush -name embuilddeps.1 -delete
	find doc/emdebian-crush -name '*pdebuild-cross*.1' -delete
	$(MAKE) -C po

install:
	$(MAKE) -C po install DESTDIR=../debian/pdebuild-cross

clean:
	$(RM) *tar.gz.cdbs-config_list
	$(RM) *.1 *.3
	$(RM) doc/po4a.config

check:

test:

# adds the POT file to the source tarball
native-dist: Makefile
	po4a-build --pot-only
	$(MAKE) -C po pot

## emdebian-crush 2.2.4ubuntu3

=== debian/changelog ===
emdebian-crush (2.2.4ubuntu3) maverick; urgency=low

  [Wookey]
  * xapt: Add config file for Debian/Ubuntu variant defaults 
     (mirror and components)
  * xapt: Fix incorrect skipping of source URLs that don't end in .list
  * xapt: use --force-yes for re-installs
  * xapt: use keyring from host apt config when downloading packages
     to cross, so authenticated repos work with apt>= 0.7.26 LP: #645147
  * xapt-hook: Respect arch qualifiers in dependencies so we don't try
     to install deps which don't exist for the host architecture.
  * xapt-hook: Fix failure to fall back to control when xcontrol not present
  * xapt-hook: Use Build-Depends-Indep too in dependency list
  * pdebuild-cross: remove redundant apt-cross hooks

  [ Neil Williams ]
  * pdebuild-cross needs a strict dependency on xapt source version.

 -- Wookey <wookey@linaro.org>  Mon, 13 Sep 2010 17:59:35 +0100

emdebian-crush (2.2.4ubuntu2) maverick; urgency=low

  * Fix spacing in debian/control, which probably addresses our
    unreproducible build failure.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 30 Aug 2010 22:16:09 +0000

emdebian-crush (2.2.4ubuntu1) maverick; urgency=low

  * Feature freeze exception: LP: #624268
  * Move embuilddeps into xapt package
  * Modify xapt to work on Ubuntu
  * Require an arch to be specified if none set in dpkg-cross

 -- Wookey <wookey@debian.org>  Wed, 25 Aug 2010 21:54:32 +0100

emdebian-crush (2.2.4) unstable; urgency=low

  * Add an alternative script to get cross dependencies: xapt
  (not used by default, yet.)
  * Adapt embuilddeps to work with xapt
  * Switch from parsechangelog to dpkg-parsechangelog - no longer need
    the more complex output, so drop the extra depends.
  * Ensure main apt cache is updated before trying to get dependencies.
  * Add translation support to pdebuild-cross scripts.

 -- Neil Williams <codehelp@debian.org>  Wed, 28 Jul 2010 20:32:32 +0100

emdebian-crush (2.2.3) unstable; urgency=low

  * Switch source package name and move to unstable.
  * Switch to po4a now that the package has been simplified.
  * emsource.sh: add nocheck build option for all cross-builds.
  * Move -uc -us options into the config file due to shell expansion
    failure.
  * When using pdebuild and svn-bp, show the results.

 -- Neil Williams <codehelp@debian.org>  Sun, 30 May 2010 23:14:14 +0100

emdebian-tools (2.2.2) experimental; urgency=low

  * Read dpkg-cross data to set the default architecture to cross build
    inside the pdebuild-cross chroot.
  * Drop the emdebian-qa package and trim down emdebian-buildsupport
    again.
  * Adapt pdebuild-cross to use the dpkg-cross default arch, if any.
  * Improve cross-deps hook to support different architectures.
  * Promote svn-pdebuild-cross to /usr/bin/
  * Move libemdebian-tools-perl into emdebian-crush, leave a
    transitionary package for dependency reasons.

 -- Neil Williams <codehelp@debian.org>  Sat, 08 May 2010 19:04:40 +0100

emdebian-tools (2.2.1) experimental; urgency=low

  * Add fakeroot as dependency of pdebuild-cross. 
  * Roll back CDBS perl support to allow builds on Lenny.

 -- Neil Williams <codehelp@debian.org>  Thu, 29 Apr 2010 16:11:49 +0100

emdebian-tools (2.2.0) experimental; urgency=low

  * Transitional changes for new Crush build methods.
  * Add pdebuild-cross for initial crossbuilding pbuilder support.
  * Add some tweaks for current unstable build changes

 -- Neil Williams <codehelp@debian.org>  Sun, 25 Apr 2010 12:00:04 +0100

emdebian-tools (2.1.3) unstable; urgency=low

  [ Neil Williams ]
  * Convert upload_handler.sh to /bin/bash (Closes: #547747)

  [ Hector Oron ]
  * Fix "supportbinary and fixfindlatestgcc in emchain"
    Thanks to Alban Browaeys (prahal) (Closes: #544068)

  [ Neil Williams ]
  * Fix lintian breakage in file-info regular expression.
  * Downgrade lintian error to advise about replacement scripts.
    checks/emdebian checks/emdebian.desc
  * Add embuilddeps script to help transition away from emdebuild --
    build-deps
  * Drop embug
  * Add manpage for embuilddeps
  * Migrate from deprecated CDBS perl module build support.

 -- Neil Williams <codehelp@debian.org>  Wed, 14 Apr 2010 21:44:06 +0100

emdebian-tools (2.1.2) unstable; urgency=low

  * Fix email address for Hector
  * emdebian-qa: Drop unwanted unpack command in lintian check.

 -- Neil Williams <codehelp@debian.org>  Thu, 07 Jan 2010 12:29:08 +0000

emdebian-tools (2.1.1) unstable; urgency=low

  * qa/emxcontrol : Support packages that indent Build-Depends.
  * emdebuild : only set CONFIG_SITE in a cross-build.
  * Prune some more dependencies and remove duplicate dependencies.
  * Add emvendor support for configurable package build arguments.
  * specify dpkg-reconfigure libemdebian-tools-perl in each instance in
    manpages.
  * Add vendor support to emsource and empdebuild.
  * Fix lintian check for lintian 2.3.0 (Closes: #562776)
  * Add Hector as Uploader.

 -- Neil Williams <codehelp@debian.org>  Mon, 28 Dec 2009 21:18:49 +0000

emdebian-tools (2.1.0) unstable; urgency=low

  * Convert bug support script to /bin/bash (Closes: #530970)
  * embug, embug_report: Add support for opening new bugs with a gzipped
    build log.
  * emsource, qa/emxcontrol : Add support for updating debian/xcontrol
    as part of cleaning the package with emsource.
  * Add dpkg-vendor conffile.
  * Add note to emsetup manpage about ensuring the Emdebian toolchain
    apt source is available. (Closes: #532400)
  * Migrate emchain to look for eglibc instead of glibc (Closes: #532428)
  * bug/embug : extend coverage to packages using epochs and improve
    non-native handling.
  * Package emdebian-tools.1 manpage. (Closes: #532748)
  * Add -S option to bash completion of emdebuild.
  * qa/emxcontrol : Promote emxcontrol to /usr/bin, package manpage and
    use a temporary file to update debian/xcontrol in place.
  * fix missing comma in -tools depends.
  * Add a note about Crush to the package description.


=== debian/control ===
Source: emdebian-crush
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Neil Williams <codehelp@debian.org>
Uploaders: Wookey <wookey@debian.org>, Hector Oron <zumbi@debian.org>
Build-Depends: cdbs (>= 0.4.73), debhelper (>= 5), po-debconf
Build-Depends-Indep: po4a (>= 0.37.1)
Standards-Version: 3.9.1
Homepage: http://www.emdebian.org/crush/
Vcs-Browser: http://buildd.emdebian.org/svn/browser/current/host/trunk/emdebian-crush/trunk/
Vcs-Svn: http://buildd.emdebian.org/repos/current/host/trunk/emdebian-crush/trunk/

Package: emdebian-crush
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, apt-cross (>= 0.12.6),
 libconfig-auto-perl, libdebian-dpkgcross-perl, libfile-homedir-perl,
 dpkg-dev (>= 1.15.2), dpkg-cross (>= 2.3.3), emdebian-grip, fakeroot,
 lintian (>= 2.3.1), pdebuild-cross, realpath, sudo,
 perl-modules (>= 5.10.0) | libio-compress-zlib-perl (>= 2.011-1)
Replaces: dpkg-cross (<= 2.3.2), emdebian-tools (<= 2.1.3), emdebian-buildsupport (<= 2.2.2), libemdebian-tools-perl, emdebian-qa (<= 2.2.0)
Conflicts: emdebian-tools, emdebian-qa, emdebian-buildsupport
Provides: emdebian-qa, emdebian-tools, libemdebian-tools-perl
Suggests: svn-buildpackage
Description: emdebian crossbuilding helpers
 A collection of scripts and checks to ease cross-building Debian
 packages for Emdebian to make functional changes that benefit
 embedded systems and reducing the length of dependency chains.
 .
 This package primarily serves to support Emdebian Crush, the
 cross-built distribution using busybox and lacking perl support.
 For Emdebian Grip or Emdebian Baked support, see the emdebian-grip
 package.
 .
 This package also includes the extra checks for lintian previously
 part of emdebian-qa to test built packages against Emdebian Policy.
 .
 http://wiki.debian.org/EmdebianPolicy

Package: pdebuild-cross
Architecture: all
Section: devel
Priority: optional
Depends: ${misc:Depends}, multistrap (>= 2.1.6), pbuilder, fakeroot,
 gettext-base, xapt (= ${source:Version})
Recommends: dpkg-cross, svn-buildpackage
Description: cross-building support for pbuilder
 pdebuild-cross includes pbuilder hooks and a multistrap method to
 setup a cross-building chroot compatible with pbuilder.
 .
 The package currently defaults to cross building for the dpkg-cross
 default architecture (or armel if not set). Extensions are pending,
 based on the removal of apt-cross.

Package: xapt
Priority: optional
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, apt, dpkg-cross (>= 2.3.8),
 libconfig-auto-perl
Replaces: emdebian-crush (<= 2.2.3)
Description: retrieve, build and install libraries for cross-compiling
 xapt is an attempt to fix some of the problems with apt-cross by
 handing dependency resolution back to apt.
 .
 xapt wraps apt and calls dpkg-cross for the collected
 archives. Downloaded files are passed directly to dpkg-cross.
 .
 embuilddeps can be used to parse debian/xcontrol to install the
 build tools using apt-get and cross dependencies using xapt, for a
 particular unpacked source package.

Package: libemdebian-tools-perl
Section: perl
Architecture: all
Depends: ${misc:Depends}
Replaces: emdebian-tools (<< 0.9.0)
Description: emdebian support library - transitionary
 Transitionary package - you can remove this once it
 is installed.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses cdbs.  Originally written by Robert Millan.
# This file is public domain.
  
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

install/emdebian-crush::
	po4a --rm-backups doc/po4a.config

install/pdebuild-cross::
	$(MAKE) install

clean::
	rm -rf doc/lib/ doc/rootfs/ doc/qa doc/man/man1 doc/man/man3 \
		doc/grip doc/tdeb doc/pod/ doc/pdebuild/
	rm -rf pod2htmd.tmp pod2htmi.tmp

## emdebian-crush 2.2.5.1

=== debian/changelog ===
emdebian-crush (2.2.5.1) unstable; urgency=low

  * Drop apt-cross dependency - drop emchain.
  * Port some changes from 2.2.6 to ensure localised strings are output
    correctly.

 -- Neil Williams <codehelp@debian.org>  Sat, 30 Oct 2010 20:31:04 +0100

emdebian-crush (2.2.5) unstable; urgency=low

  * [i18n] Add French program translation (Closes: #595804)
  * Fix build system to put the translation files in the correct place.
  * [INTL:da] Danish translation of emdebian-crush. (Closes: #596008)
  * [INTL:ru] Russian program translation (Closes: #596088)
  * [INTL:pt] Portuguese translation for program messages (Closes: #596148)

 -- Neil Williams <codehelp@debian.org>  Wed, 08 Sep 2010 23:08:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: emdebian-crush
 Section: utils
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Neil Williams <codehelp@debian.org>
+Maintainer: Neil Williams <codehelp@debian.org>
 Uploaders: Wookey <wookey@debian.org>, Hector Oron <zumbi@debian.org>
 Build-Depends: cdbs (>= 0.4.73), debhelper (>= 5), po-debconf
 Build-Depends-Indep: po4a (>= 0.37.1)
@@ -13,8 +12,7 @@
 
 Package: emdebian-crush
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, apt-cross (>= 0.12.6),
- libconfig-auto-perl, libdebian-dpkgcross-perl, libfile-homedir-perl,
+Depends: ${perl:Depends}, ${misc:Depends}, libconfig-auto-perl,
  dpkg-dev (>= 1.15.2), dpkg-cross (>= 2.3.3), emdebian-grip, fakeroot,
  lintian (>= 2.3.1), pdebuild-cross, realpath, sudo,
  perl-modules (>= 5.10.0) | libio-compress-zlib-perl (>= 2.011-1)
@@ -42,7 +40,7 @@
 Section: devel
 Priority: optional
 Depends: ${misc:Depends}, multistrap (>= 2.1.6), pbuilder, fakeroot,
- gettext-base, xapt (= ${source:Version})
+ gettext-base
 Recommends: dpkg-cross, svn-buildpackage
 Description: cross-building support for pbuilder
  pdebuild-cross includes pbuilder hooks and a multistrap method to
@@ -51,17 +49,9 @@
  The package currently defaults to cross building for the dpkg-cross
  default architecture (or armel if not set). Extensions are pending,
  based on the removal of apt-cross.
-
-Package: xapt
-Priority: optional
-Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, apt, dpkg-cross (>= 2.3.8),
- libconfig-auto-perl
-Replaces: emdebian-crush (<= 2.2.3)
-Description: retrieve, build and install libraries for cross-compiling
- xapt is an attempt to fix some of the problems with apt-cross by
- handing dependency resolution back to apt.
  .
+ pdebuild-cross includes xapt which is an attempt to fix some of the
+ problems with apt-cross by handing dependency resolution back to apt.
  xapt wraps apt and calls dpkg-cross for the collected
  archives. Downloaded files are passed directly to dpkg-cross.
  .

## emdebian-crush 2.2.17

=== debian/changelog ===
emdebian-crush (2.2.17) unstable; urgency=low

  * Pass -m option via pdebuild-cross as well.
  * Make identification of SRC and VER more precise.
  * Switch to cdn.debian.net instead of .org (Closes: #629839)
  * Only call prepare_sources_list if suite option is not set.
    (Closes: #629840)

 -- Neil Williams <codehelp@debian.org>  Sat, 18 Jun 2011 20:38:49 +0100

emdebian-crush (2.2.16) unstable; urgency=low

  * Sideline the old lintian checks - not currently used and may break
    due to subsequent changes in lintian.
  * [INTL:de] Updated German translation (Closes: #624619)
  * Add xapt dependency on liblocale-gettext-perl for translation
    support.
  * Add -m option to embuilddeps to pass this down to xapt and hence to
    dpkg-cross.

 -- Neil Williams <codehelp@debian.org>  Sat, 07 May 2011 21:27:46 +0100

emdebian-crush (2.2.15) unstable; urgency=low

  * Add support for embuilddeps reading a dsc
  * Add -k option to embuilddeps to pass down to xapt
  * Fail if --dsc used without a file and remove old apt check.

 -- Neil Williams <codehelp@debian.org>  Fri, 15 Apr 2011 12:51:14 +0100

emdebian-crush (2.2.14) unstable; urgency=low

  * Use perl realpath support and drop dependency.
  * Fix multiple arch-specific alternative fallbacks in embuilddeps
    (gcc-4.6)
  * Add support for !arch matching in embuilddeps.
  * Add support for type-handling and not+linux-gnu type
    dependencies. (Closes: #619160)
  * Further improvements to resolver - add descriptions to the decisions
    being made when in verbose mode.
  * [INTL:fr] French program translation update (Closes: #620281)
  * Add support for passing Multi-Arch option to dpkg-cross if the
    matching version of dpkg-cross is installed (allowing for backports)

 -- Neil Williams <codehelp@debian.org>  Fri, 01 Apr 2011 10:40:39 +0100

emdebian-crush (2.2.13) unstable; urgency=low

  * Improve embuilddeps to use a specified directory. 
  * Add xapt dependency on dpkg-dev for dpkg-architecture usage.
  * No need for pdebuild-cross to recommend dpkg-cross, xapt depends on
    it.
  * Add support for Build-Conflicts to embuilddeps
  * Add support for architecture constraints to embuilddeps
  * Add support for detecting virtual packages via code from Dpkg::Deps.
  * Add verbose and quiet support in embuilddeps
  * Extend embuilddeps to understand noauth from the xapt config.
  * Allow use of debian/xcontrol with embuilddeps.

 -- Neil Williams <codehelp@debian.org>  Sun, 06 Mar 2011 20:35:20 +0000

emdebian-crush (2.2.12) unstable; urgency=low

  * [INTL:ru] Russian translation update (Closes: #613243)
  * [INTL:da] Danish translation update (Closes: #613287)
  * Drop the transitional libemdebian-tools-perl package.
  * [INTL:de] updated german translation (Closes: #613713)
  * [l10n:cs] Initial Czech translation of package emdebian-crush
    2.2.11 (Closes: #613697)
  * [l10n:fr] French program translation update - modified to fix
    syntax. (Closes: #613876)
  * xapt needs to depend on realpath
  * change the build-dependency resolver as aptitude is needed for the
    pbuilder one and does not work with cross architectures
  * Fix detection of no default cross arch in svn-pdebuild-cross and
    allow for DEB_BUILD_OPTIONS to be carried over
  * Fix detection of no default cross arch in xapt hook
  * Fix detection of no default cross arch in pdebuild-cross and move
    arch into config file.
  * Promote embuilddeps to be the complete tools and cross dependency
    resolver for pdebuild-cross
  * Ensure xapt is installed inside the chroot, when available.

 -- Neil Williams <codehelp@debian.org>  Sun, 20 Feb 2011 10:44:48 +0000

emdebian-crush (2.2.11) unstable; urgency=low

  * Migrate to unstable. 
  * Only suggest svn-buildpackage

 -- Neil Williams <codehelp@debian.org>  Mon, 07 Feb 2011 12:22:21 +0000

emdebian-crush (2.2.10) experimental; urgency=low

  * pdebuild-cross: bump Replaces to match version
    now in Squeeze. (Closes: #610683)
  * pdebuild-cross needs to depend on latest multistrap
  * embuilddeps support for checking if listed packages are installed
    already.

 -- Neil Williams <codehelp@debian.org>  Sat, 29 Jan 2011 12:01:53 +0000

emdebian-crush (2.2.9) experimental; urgency=low

  * Add support for skipping if a newer or same version cross package is
    already installed.
  * pdebuild-cross: fix string markup for translation
  * Add colour output to xapt

 -- Neil Williams <codehelp@debian.org>  Fri, 17 Dec 2010 16:26:57 +0000

emdebian-crush (2.2.8) experimental; urgency=low

  * Lower xapt dependency on dpkg-cross to use with Lenny.
  * Allow command line options of mirror and suite to override
    conffile (Closes: #606436)

 -- Neil Williams <codehelp@debian.org>  Sat, 11 Dec 2010 13:35:21 +0000

emdebian-crush (2.2.7) experimental; urgency=low

  * [INTL:de] German translation (Closes: #601766)

 -- Neil Williams <codehelp@debian.org>  Fri, 29 Oct 2010 13:19:15 +0100

emdebian-crush (2.2.6) experimental; urgency=low

  [ Wookey ]
  * xapt: Add config file to localise distibution differences 
    so xapt works on both Debian and Ubuntu 
  * Require an arch to be specified if none set in dpkg-cross.
  * Put xapt and embuilddeps back in their own package.
  * Require an arch to be specified if not set in dpkg-cross.
  * xapt-hook: Respect arch qualifiers in dependencies so we don't try
     to install deps which don't exist for the host architecture.
  * xapt-hook: Fall back to control when xcontrol not present
  * xapt-hook: Use Build-Depends-Indep too in dependency list
  * remove redundant apt-cross hooks

  [ Neil Williams ]
  * pdebuild-cross depends on xapt ${source:Version}.
  * [INTL:vi] Vietnamese program translation (Closes: #598586)
  * Use Config::IniFiles to parse the xapt config file.
  * Allow all existing source list files and let apt sort out the result
    for backwards compatibility.
  * Add explicit noauth support in conf file.



=== debian/control ===
Source: emdebian-crush
Section: utils
Priority: extra
Maintainer: Neil Williams <codehelp@debian.org>
Uploaders: Wookey <wookey@debian.org>, Hector Oron <zumbi@debian.org>
Build-Depends: cdbs (>= 0.4.73), debhelper (>= 5), po-debconf
Build-Depends-Indep: po4a (>= 0.37.1)
Standards-Version: 3.9.2
Homepage: http://www.emdebian.org/crush/
Vcs-Browser: http://www.emdebian.org/svn/browser/current/host/trunk/emdebian-crush/trunk/
Vcs-Svn: http://www.emdebian.org/svn/current/host/trunk/emdebian-crush/trunk/

Package: emdebian-crush
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, dpkg-dev,
 emdebian-grip, libconfig-auto-perl, pdebuild-cross, sudo
Replaces: dpkg-cross (<= 2.3.2), emdebian-tools (<= 2.1.3), emdebian-buildsupport (<= 2.2.2), libemdebian-tools-perl, emdebian-qa (<= 2.2.0)
Conflicts: emdebian-tools, emdebian-qa, emdebian-buildsupport
Provides: emdebian-qa, emdebian-tools, libemdebian-tools-perl
Suggests: svn-buildpackage
Description: emdebian crossbuilding helpers
 A collection of scripts and checks to ease cross-building Debian
 packages for Emdebian to make functional changes that benefit
 embedded systems and reducing the length of dependency chains.
 .
 This package primarily serves to support Emdebian Crush, the
 cross-built distribution using busybox and lacking perl support.
 For Emdebian Grip or Emdebian Baked support, see the emdebian-grip
 package.

Package: pdebuild-cross
Architecture: all
Section: devel
Priority: optional
Depends: ${misc:Depends}, gettext-base, multistrap (>= 2.1.9), fakeroot,
 pbuilder, xapt (= ${source:Version})
Suggests: svn-buildpackage
Description: cross-building support for pbuilder
 pdebuild-cross includes pbuilder hooks and a multistrap method to
 setup a cross-building chroot compatible with pbuilder.
 .
 Cross-building pbuilder chroots use xapt to satisfy the
 dependencies.

Package: xapt
Priority: optional
Section: devel
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, apt, dpkg-cross, dpkg-dev,
 libconfig-inifiles-perl, libdpkg-perl, liblocale-gettext-perl
Replaces: emdebian-crush (<= 2.2.3), pdebuild-cross (<= 2.2.5.1)
Description: retrieve, build and install libraries for cross-compiling
 xapt wraps apt and calls dpkg-cross for the collected
 archives. Downloaded files are passed directly to dpkg-cross.
 .
 embuilddeps can be used to parse debian/control to install the
 native and cross dependencies, using apt and xapt respectively,
 for a particular unpacked source package.

## emdebian-crush 2.2.18~bpo60+1

=== debian/changelog ===
emdebian-crush (2.2.18~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Neil Williams <codehelp@debian.org>  Wed, 11 Apr 2012 20:12:18 +0100

emdebian-crush (2.2.18) unstable; urgency=low

  * Implement the new lintian profile support
  * Allow embuilddeps to use noauth for native as well as cross.
  * [INTL:de] Initial German documentation translation
    (Closes: #644795)
  * Update SVN browse location.

 -- Neil Williams <codehelp@debian.org>  Sun, 04 Dec 2011 16:40:05 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends-Indep: po4a (>= 0.37.1)
 Standards-Version: 3.9.2
 Homepage: http://www.emdebian.org/crush/
-Vcs-Browser: http://www.emdebian.org/svn/browser/current/host/trunk/emdebian-crush/trunk/
+Vcs-Browser: http://www.emdebian.org/trac/browser/current/host/trunk/emdebian-crush/trunk
 Vcs-Svn: http://www.emdebian.org/svn/current/host/trunk/emdebian-crush/trunk/
 
 Package: emdebian-crush

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	$(MAKE) install
 
 clean::
-	rm -rf doc/lib/ doc/rootfs/ doc/qa doc/man/man1 doc/man/man3 \
-		doc/grip doc/tdeb doc/pod/ doc/pdebuild/
-	rm -rf pod2htmd.tmp pod2htmi.tmp
+	$(RM) -r doc/lib/ doc/rootfs/ doc/qa doc/man/man1 doc/man/man3 \
+		doc/grip doc/tdeb doc/pod/ doc/pdebuild/ doc/emdebian-crush \
+		doc/pdebuild-cross
+	$(RM) stamp-makefile-check stamp-patched pod2htmd.tmp pod2htmi.tmp

## emdebian-crush 2.2.19

=== debian/changelog ===
emdebian-crush (2.2.19) unstable; urgency=low

  * Check for MultiArch support in dpkg and force the multiarch
    support in dpkg-cross if the requested architecture is in the
    list of dpkg foreign architectures. (Closes: #688912)
  * Limit installation to only packages successfully converted using
    dpkg-cross.

 -- Neil Williams <codehelp@debian.org>  Wed, 26 Sep 2012 22:16:57 +0100

## emdebian-crush 2.2.20

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,18 @@
 
 all:
 	po4a-build
-	find doc/pdebuild-cross -name 'emvendor.1*' -delete
+	find doc/pdebuild-cross -name emvendor.1 -delete
+	find doc/pdebuild-cross -name embuilddeps.1 -delete
+	find doc/pdebuild-cross -name xapt.1 -delete
 	find doc/emdebian-crush -name xapt.1 -delete
 	find doc/emdebian-crush -name embuilddeps.1 -delete
 	find doc/emdebian-crush -name '*pdebuild-cross*.1' -delete
+	find doc/xapt -name emvendor.1 -delete
+	find doc/xapt -name '*pdebuild-cross*.1' -delete
 	$(MAKE) -C po
 
 install:
-	$(MAKE) -C po install DESTDIR=../debian/pdebuild-cross
+	$(MAKE) -C po install DESTDIR=../debian/xapt
 
 clean:
 	$(RM) *tar.gz.cdbs-config_list

=== debian/changelog ===
emdebian-crush (2.2.20) unstable; urgency=low

  * Fix manpages references to configfile path. (Closes: #670774)
  * Improve build-conflicts handling in embuilddeps
  * [INTL:fr] French program translation update (Closes: #671502)
  * [INTL:fr] French documentation translation (Closes: #673983)
  * Fix reference to cdn.debian.org in conf file and in the
    default xapt handling, use cdn.debian.net. (Closes: #674134)
  * Let embuilddeps proceed with "apt-get -f install" without
    user interaction. (Closes: #672819)
  * [INTL:pt] Add Plural-Forms field in Portuguese translation
    (Closes: #696588)
  * Add commands and options to xaat man page (Closes: #674129)
  * Skip checking build-dependencies in pdebuild-cross due to
    changes with Multi-Arch. (Closes: #688701)

 -- Neil Williams <codehelp@debian.org>  Fri, 17 May 2013 21:22:16 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Wookey <wookey@debian.org>, Hector Oron <zumbi@debian.org>
 Build-Depends: cdbs (>= 0.4.73), debhelper (>= 5), po-debconf
 Build-Depends-Indep: po4a (>= 0.37.1)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://www.emdebian.org/crush/
 Vcs-Browser: http://www.emdebian.org/trac/browser/current/host/trunk/emdebian-crush/trunk
 Vcs-Svn: http://www.emdebian.org/svn/current/host/trunk/emdebian-crush/trunk/
@@ -14,9 +14,6 @@
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends}, dpkg-dev,
  emdebian-grip, libconfig-auto-perl, pdebuild-cross, sudo
-Replaces: dpkg-cross (<= 2.3.2), emdebian-tools (<= 2.1.3), emdebian-buildsupport (<= 2.2.2), libemdebian-tools-perl, emdebian-qa (<= 2.2.0)
-Conflicts: emdebian-tools, emdebian-qa, emdebian-buildsupport
-Provides: emdebian-qa, emdebian-tools, libemdebian-tools-perl
 Suggests: svn-buildpackage
 Description: emdebian crossbuilding helpers
  A collection of scripts and checks to ease cross-building Debian
@@ -48,11 +45,11 @@
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends}, apt, dpkg-cross, dpkg-dev,
  libconfig-inifiles-perl, libdpkg-perl, liblocale-gettext-perl
-Replaces: emdebian-crush (<= 2.2.3), pdebuild-cross (<= 2.2.5.1)
+Replaces: pdebuild-cross (<= 2.2.5.1)
 Description: retrieve, build and install libraries for cross-compiling
  xapt wraps apt and calls dpkg-cross for the collected
  archives. Downloaded files are passed directly to dpkg-cross.
  .
  embuilddeps can be used to parse debian/control to install the
- native and cross dependencies, using apt and xapt respectively,
+ native and or cross dependencies, using apt and xapt respectively,
  for a particular unpacked source package.

=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,5 @@
 clean::
 	$(RM) -r doc/lib/ doc/rootfs/ doc/qa doc/man/man1 doc/man/man3 \
 		doc/grip doc/tdeb doc/pod/ doc/pdebuild/ doc/emdebian-crush \
-		doc/pdebuild-cross
+		doc/pdebuild-cross doc/xapt
 	$(RM) stamp-makefile-check stamp-patched pod2htmd.tmp pod2htmi.tmp
